Subject: Re: [PATCH dtc] Implement the -R option and add a -S option.

From: Jerry Van Baren <[email-masked]>
Date: Sat, 14 Apr 2007 12:43:29 -0400

Jerry Van Baren wrote:

[snip]

> On an unrelated related note, I don't believe my -R additions are 
> actually putting out additional reserve map slots (easiest to see using 
> the asm format output).  I'm still trying to understand why not, it 
> seemed pretty straight-forward.  When I implemented it, I was looking at 
> hexdumps of the dtb binary format and looking at the header and thought 
> I had it working... using it with my u-boot mods shows no extra reserved 
> slots.  I'm looking into where I went wrong.

OK, I didn't add a reserve additional slots output in the asm emission 
code, so that was a pretty simple fix.  I'll provide a patch after a bit 
more testing.

gvb